Bug 1195266 - The display number is not required in the file name for VNC
Summary: The display number is not required in the file name for VNC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: Robin Hack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 13:54 UTC by Stephen Wadeley
Modified: 2015-11-19 09:03 UTC (History)
5 users (show)

Fixed In Version: tigervnc-1.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 09:03:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2233 normal SHIPPED_LIVE Moderate: tigervnc security, bug fix, and enhancement update 2015-11-19 09:11:46 UTC

Description Stephen Wadeley 2015-02-23 13:54:57 UTC
Description of problem:

The display number is not required in the file name
/etc/systemd/system/vncserver@:<display>.service

The file:
/lib/systemd/system/vncserver@.service 
says to "Copy this file to /etc/systemd/system/vncserver@:<display>.service"



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. ~]# yum install tigervnc-server
2. less /lib/systemd/system/vncserver@.service


Actual results:
# 1. Copy this file to /etc/systemd/system/vncserver@:<display>.service


Expected results:
# 1. Copy this file to /etc/systemd/system/vncserver@.service


Additional info:

Comment 2 Tim Waugh 2015-02-23 14:44:39 UTC
Fixed component.

Comment 4 Jan Grulich 2015-05-14 12:02:51 UTC
Fixed in tigervnc-1.3.1-1.el7.

Comment 6 Robin Hack 2015-09-01 10:57:29 UTC
According to reproducer in comment 1:

[0 root@qeos-24 test]# rpm -qa tigervnc-server
tigervnc-server-1.3.1-2.el7.x86_64
[0 root@qeos-24 test]# grep Copy /lib/systemd/system/vncserver@.service 
# 1. Copy this file to /etc/systemd/system/vncserver@:<display>.service

FAILED!

Comment 7 Jan Grulich 2015-09-02 15:42:12 UTC
Fixed in tigervnc-server-1.3.1-3.el7.

Comment 9 errata-xmlrpc 2015-11-19 09:03:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2233.html


Note You need to log in before you can comment on or make changes to this bug.